0

Okay so i tried to install VMWare Workstation pro. I downloaded it and installed the program normally.

The problem now is that when i insert vmplayer it prints

/usr/lib/vmware/bin/vmware-modconfig: Relink /lib/x86_64-linux-gnu/libbsd.so.0' with/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

Then i started looking this up on duckduckgo and found this post: https://askubuntu.com/questions/966585/ubuntu-17-10-upgrade-broke-vmware-workstation-12-5/966812

I followed this post but when i tried to execute in the vmmon-only directory make it prints out the following error:

[...] make[2]: * [/usr/lib/vmware/modules/source/vmmon-only/linux/driver.o] Error 1 Makefile:1552: recipe for target 'module/usr/lib/vmware/modules/source/vmmon-only' failed make[1]: * [module/usr/lib/vmware/modules/source/vmmon-only] Error 2 make[1]: Leaving directory '/usr/src/linux-headers-4.15.0-20-generic' Makefile:120: recipe for target 'vmmon.ko' failed make: *** [vmmon.ko] Error 2

Link to the entire error message (screenshots): https://imgur.com/a/SF2HlmX

Does anybody have an idea? The make command worked in the vmnet-only directory.

My OS is Linux Mint 19.1 Mate.

EDIT: I try to install vm workstation 12.5.9

EDIT-2: Okay i fixed it. I followed the second most top answer of the link i posted.

git clone https://github.com/mkubecek/vmware-host-modules.git
cd vmware-host-modules
git checkout workstation-12.5.9 (change it to your version. it's important)
make && sudo make install
cd /usr/lib/vmware/lib/libz.so.1
sudo mv libz.so.1 libz.so.1.old
sudo ln -s /lib/x86_64-linux-gnu/libz.so.1 .
sudo depmod -a
sudo /etc/init.d/vmware restart

Even tho the git checkout workstation-12.5.9 didn't work.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.